Debian Bug report logs - #541679
hlint: FTBFS: ld: cannot find -lHSrts_thr

version graph

Package: src:hlint; Maintainer for src:hlint is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sat, 15 Aug 2009 14:09:05 UTC

Severity: important

Tags: fixed-upstream

Found in version hlint/1.6.4-1

Fixed in version hlint/1.6.9-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#541679; Package src:hlint. (Sat, 15 Aug 2009 14:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sat, 15 Aug 2009 14:09:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: hlint: FTBFS: ld: cannot find -lHSrts_thr
Date: Sat, 15 Aug 2009 16:05:23 +0200
Source: hlint
Version: 1.6.4-1
Severity: serious

Hi,

There was an error while trying to autobuild your package:

> Start Time: 20090815-1356

[...]

> Build-Depends: cdbs, haskell-devscripts (>= 0.6.15+nmu12), debhelper (>= 7), ghc6 (>= 6.8.2), libghc6-mtl-dev, libghc6-parallel-dev, libghc6-src-exts-dev (>= 1.0.1), libghc6-src-exts-dev (<< 1.1), libghc6-hscolour-dev (>= 1.10), libghc6-uniplate-dev (>= 1.2.0.1), libghc6-uniplate-dev (<< 1.3)

[...]

> Toolchain package versions: libc6.1-dev_2.9-23 linux-libc-dev_2.6.30-5 g++-4.3_4.3.4-1+b1 gcc-4.3_4.3.4-1+b1 binutils_2.19.51.20090805-1 libstdc++6_4.4.1-2 libstdc++6-4.3-dev_4.3.4-1+b1
> 

[...]

> [21 of 25] Compiling Report           ( src/Report.hs, dist/build/hlint/hlint-tmp/Report.o )
> [22 of 25] Compiling Hint.Structure   ( src/Hint/Structure.hs, dist/build/hlint/hlint-tmp/Hint/Structure.o )
> [23 of 25] Compiling Hint.All         ( src/Hint/All.hs, dist/build/hlint/hlint-tmp/Hint/All.o )
> [24 of 25] Compiling Test             ( src/Test.hs, dist/build/hlint/hlint-tmp/Test.o )
> [25 of 25] Compiling Main             ( src/Main.hs, dist/build/hlint/hlint-tmp/Main.o )
> Linking dist/build/hlint/hlint ...
> /usr/bin/ld: cannot find -lHSrts_thr
> collect2: ld returned 1 exit status
> make: *** [build-ghc6-stamp] Error 1
> dpkg-buildpackage: error: debian/rules build gave error exit status 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=alpha&pkg=hlint&ver=1.6.4-1


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#541679; Package src:hlint. (Sun, 16 Aug 2009 16:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sun, 16 Aug 2009 16:42:12 GMT) Full text and rfc822 format available.

Message #10 received at 541679@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Neil Mitchell <ndmitchell@gmail.com>
Cc: 541679@bugs.debian.org, debian-haskell@lists.debian.org
Subject: ghc-options: -threaded breaks some arches
Date: Sun, 16 Aug 2009 18:39:49 +0200
[Message part 1 (text/plain, inline)]
Hi Neil,

trying to build hlint does not work on some architectures (at least
alpha, s390, mips) where no threaded RTS is available. An example build
log is available at
http://buildd.debian.org/build.php?arch=alpha&pkg=hlint&ver=1.6.4-1

This is caused by
	ghc-options:        -fno-warn-overlapping-patterns -threaded
in your hlint.cabal file.

Is there an absolute reason (besides performance) why hlint needs a
threaded RTS? If not, would it be possible to make this option dependent
on the availability of a threaded RTS (either by direct support in cabal
for checking it, similar to os(..) checks, or by passing a "-fthreaded"
flag to setup configure)?

Thanks,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#541679; Package src:hlint. (Sun, 16 Aug 2009 16:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Mitchell <ndmitchell@gmail.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sun, 16 Aug 2009 16:51:06 GMT) Full text and rfc822 format available.

Message #15 received at 541679@bugs.debian.org (full text, mbox):

From: Neil Mitchell <ndmitchell@gmail.com>
To: Joachim Breitner <nomeata@debian.org>
Cc: 541679@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: ghc-options: -threaded breaks some arches
Date: Sun, 16 Aug 2009 17:47:43 +0100
Hi

> trying to build hlint does not work on some architectures (at least
> alpha, s390, mips) where no threaded RTS is available. An example build
> log is available at
> http://buildd.debian.org/build.php?arch=alpha&pkg=hlint&ver=1.6.4-1
>
> This is caused by
>        ghc-options:        -fno-warn-overlapping-patterns -threaded
> in your hlint.cabal file.
>
> Is there an absolute reason (besides performance) why hlint needs a
> threaded RTS?

HLint supports +RTS -N3, i.e. running on 3 processors. See "Parallel
Operation" in the user manual. It's not absolutely essential, but
without -threaded you can't make use of multiple processors.

> If not, would it be possible to make this option dependent
> on the availability of a threaded RTS (either by direct support in cabal
> for checking it, similar to os(..) checks, or by passing a "-fthreaded"
> flag to setup configure)?

Yes, of course. What suits you? Any os checks would go wrong, so an
-fnothreaded flag seems sensible? I'd still like threading to be the
default.

Thanks, Neil




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#541679; Package src:hlint. (Sun, 16 Aug 2009 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sun, 16 Aug 2009 17:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 541679@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Neil Mitchell <ndmitchell@gmail.com>
Cc: 541679@bugs.debian.org, debian-haskell@lists.debian.org, cabal-devel@haskell.org
Subject: Re: ghc-options: -threaded breaks some arches
Date: Sun, 16 Aug 2009 19:36:42 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Sonntag, den 16.08.2009, 17:47 +0100 schrieb Neil Mitchell: 
> > trying to build hlint does not work on some architectures (at least
> > alpha, s390, mips) where no threaded RTS is available. An example build
> > log is available at
> > http://buildd.debian.org/build.php?arch=alpha&pkg=hlint&ver=1.6.4-1
> >
> > This is caused by
> >        ghc-options:        -fno-warn-overlapping-patterns -threaded
> > in your hlint.cabal file.
> > [..]
> > If not, would it be possible to make this option dependent
> > on the availability of a threaded RTS (either by direct support in cabal
> > for checking it, similar to os(..) checks, or by passing a "-fthreaded"
> > flag to setup configure)?
>
> Yes, of course. What suits you? Any os checks would go wrong, so an
> -fnothreaded flag seems sensible? I'd still like threading to be the
> default.

that would be a start, thanks.

Of course I’d prefer if cabal had automatic support for this. I guess is
does not ATM, so for now the flag is ok, and I’m hereby telling the
Cabal people about this :-)

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#541679; Package src:hlint. (Sun, 06 Sep 2009 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Mitchell <ndmitchell@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 06 Sep 2009 13:51:06 GMT) Full text and rfc822 format available.

Message #25 received at 541679@bugs.debian.org (full text, mbox):

From: Neil Mitchell <ndmitchell@gmail.com>
To: Joachim Breitner <nomeata@debian.org>
Cc: 541679@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: ghc-options: -threaded breaks some arches
Date: Sun, 6 Sep 2009 14:35:00 +0100
Hi,

I've got a version 1.6.7 which has support for installing without threads:

cabal install --flags="-threaded"

However, someone since spotted that version 1.6.7 triggers a bug in
cpphs which can cause the program to hang and consume increasingly
more memory - so I'd recommend waiting for 1.6.8 which will depend on
a version of cpphs without this bug (hopefully only a few days).

Thanks,

Neil

On Sun, Aug 16, 2009 at 5:47 PM, Neil Mitchell<ndmitchell@gmail.com> wrote:
> Hi
>
>> trying to build hlint does not work on some architectures (at least
>> alpha, s390, mips) where no threaded RTS is available. An example build
>> log is available at
>> http://buildd.debian.org/build.php?arch=alpha&pkg=hlint&ver=1.6.4-1
>>
>> This is caused by
>>        ghc-options:        -fno-warn-overlapping-patterns -threaded
>> in your hlint.cabal file.
>>
>> Is there an absolute reason (besides performance) why hlint needs a
>> threaded RTS?
>
> HLint supports +RTS -N3, i.e. running on 3 processors. See "Parallel
> Operation" in the user manual. It's not absolutely essential, but
> without -threaded you can't make use of multiple processors.
>
>> If not, would it be possible to make this option dependent
>> on the availability of a threaded RTS (either by direct support in cabal
>> for checking it, similar to os(..) checks, or by passing a "-fthreaded"
>> flag to setup configure)?
>
> Yes, of course. What suits you? Any os checks would go wrong, so an
> -fnothreaded flag seems sensible? I'd still like threading to be the
> default.
>
> Thanks, Neil
>




Added tag(s) fixed-upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Tue, 08 Sep 2009 20:30:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#541679; Package src:hlint. (Tue, 08 Sep 2009 20:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 08 Sep 2009 20:54:05 GMT) Full text and rfc822 format available.

Message #32 received at 541679@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 541679@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Actually, not serious
Date: Tue, 08 Sep 2009 22:49:14 +0200
[Message part 1 (text/plain, inline)]
severity  541679  important
thanks

Hi,

I just noticed that this package was never successfully built for
architectures without a threading runtime, so the FTBFS ought not to be
release critical. Downgrading it (but a fix is expected to happen
nevertheless).

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Tue, 08 Sep 2009 20:54:06 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sun, 13 Sep 2009 01:54:16 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sun, 13 Sep 2009 01:54:16 GMT) Full text and rfc822 format available.

Message #39 received at 541679-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 541679-close@bugs.debian.org
Subject: Bug#541679: fixed in hlint 1.6.9-1
Date: Sun, 13 Sep 2009 01:32:05 +0000
Source: hlint
Source-Version: 1.6.9-1

We believe that the bug you reported is fixed in the latest version of
hlint, which is due to be installed in the Debian FTP archive:

hlint_1.6.9-1.diff.gz
  to pool/main/h/hlint/hlint_1.6.9-1.diff.gz
hlint_1.6.9-1.dsc
  to pool/main/h/hlint/hlint_1.6.9-1.dsc
hlint_1.6.9-1_amd64.deb
  to pool/main/h/hlint/hlint_1.6.9-1_amd64.deb
hlint_1.6.9.orig.tar.gz
  to pool/main/h/hlint/hlint_1.6.9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541679@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated hlint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 Sep 2009 03:26:35 +0200
Source: hlint
Binary: hlint
Architecture: source amd64
Version: 1.6.9-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 hlint      - Haskell source code suggestions
Closes: 541679
Changes: 
 hlint (1.6.9-1) unstable; urgency=low
 .
   [ Marco Túlio Gontijo e Silva ]
   * debian/control: Use more sintetic name for Vcs-Darcs.
 .
   [ Joachim Breitner ]
   * New upstream version
   * Build non-threaded binary when no threading RTS is available on this
     architecture (Closes: #541679)
   * Bump standards version, no change.
Checksums-Sha1: 
 a0dc36fc53b0b86f58ff86f9e540c177d8c7f14f 1373 hlint_1.6.9-1.dsc
 49a9613ab88ef85ae1603bb65dbf8162f5a821ae 42882 hlint_1.6.9.orig.tar.gz
 f97b02d36bfce278ae834d9c55ff6fd580472055 2710 hlint_1.6.9-1.diff.gz
 8cd9ffa6ad057b0e0e3d05c58d942924371d211a 944322 hlint_1.6.9-1_amd64.deb
Checksums-Sha256: 
 5c72077333d67163acfa13b379903234c1f8bbd1dfa842eebedf272a10c5319e 1373 hlint_1.6.9-1.dsc
 3e307193c25e33a3a90c891ae47b5f0d8b9347ed1e62e549d534db3ae4c6f97a 42882 hlint_1.6.9.orig.tar.gz
 452ce09bee6fa22e2f8cd486bbb8995c13c406aa17cf4d733fc992b7ae7609ed 2710 hlint_1.6.9-1.diff.gz
 81e09c6579ab62ab9cfe305016735f8261e08802db726597416cdd1a2b114947 944322 hlint_1.6.9-1_amd64.deb
Files: 
 33d7b40ad34744c24aaafbfe31407bd4 1373 haskell optional hlint_1.6.9-1.dsc
 a0bd6cd7b09449e4842d15c2d2d5d818 42882 haskell optional hlint_1.6.9.orig.tar.gz
 2e7da876b4fe12b6b6d7a5bf443c8651 2710 haskell optional hlint_1.6.9-1.diff.gz
 c5fc9fcd8856e3f2ba0ead6ea3bd851d 944322 haskell optional hlint_1.6.9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkqsSqIACgkQ9ijrk0dDIGxvWQCcDeezvXf0ljj9J1p+SfD5MH26
W1YAn3QqZ9MABSDi51ntem74MFyB+eU1
=Oswf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Oct 2009 07:35:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:58:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.